Bug 349511 - delayed in start-up with both usb and ps2 keyboard connected
delayed in start-up with both usb and ps2 keyboard connected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 16:51 EDT by Harald
Modified: 2008-06-16 22:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:43:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from dmesg after booting with both keyboards attached (28.16 KB, text/plain)
2007-10-24 13:28 EDT, Harald
no flags Details
output from dmesg after booting with only ps2 keyboard attached (27.83 KB, text/plain)
2007-10-24 13:32 EDT, Harald
no flags Details
dmidecode output (11.71 KB, text/plain)
2008-01-30 14:34 EST, Harald
no flags Details

  None (edit)
Description Harald 2007-10-23 16:51:40 EDT
Description of problem:

When having two keyboards connected to the PC, Fedora takes a few minutes two
boot instead of seconds. With kernel parameter 'quite' set after 'kernel alive'
appears on the screen, it takes about 3-5 minutes before 'red hat nash...'
appears. With only one of the keyboards attached (either ps2 or usb) the boot is
fast as expected.

Without 'quite' the boot is delayed after the scheduler lines are pinted:

io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)

The next messages are again running on the screen, but in the log, the next
lines are:

PCI: Found disabled HT MSI Mapping on 0000:00:0b.0
PCI: Found enabled HT MSI Mapping on 0000:00:00.0
PCI: Linking AER extended capability on 0000:00:0b.0
PCI: Found disabled HT MSI Mapping on 0000:00:0c.0
PCI: Found enabled HT MSI Mapping on 0000:00:00.0
PCI: Linking AER extended capability on 0000:00:0c.0
PCI: Found disabled HT MSI Mapping on 0000:00:0d.0
PCI: Found enabled HT MSI Mapping on 0000:00:00.0
PCI: Linking AER extended capability on 0000:00:0d.0
PCI: Found disabled HT MSI Mapping on 0000:00:0e.0
PCI: Found enabled HT MSI Mapping on 0000:00:00.0
PCI: Linking AER extended capability on 0000:00:0e.0
Boot video device is 0000:05:00.0


Version-Release number of selected component (if applicable):
2.6.22.9-91.fc7

How reproducible:

Just plug in one ps2 and one usb keyboard and reboot.

Steps to Reproduce:
1. plug in ps2 keyboard
2. plug in usb keyboard
3. boot Fedora
  
Actual results:
the boot is delayed significantly

Expected results:
there should be no noticable delay with a second keyboard connected


Additional info:
the board is an MSI K8N Neo4 (MS-7125) board, CPU AMD64 3500+ 

I have no idea if this happens on other architectures or only on x64.
Comment 1 Pete Zaitcev 2007-10-23 17:53:02 EDT
It would be nice if you attached the whole output of "dmesg > d.out".
It should capture what was before and after those scheduler-related lines.

A working dmesg with just one keyboard would be welcome too.

But honestly, I have no clue what could cause it. Maybe the USB handoff
fails if PS/2 was active.
Comment 2 Harald 2007-10-24 13:28:03 EDT
Created attachment 236411 [details]
output from dmesg after booting with both keyboards attached
Comment 3 Harald 2007-10-24 13:32:24 EDT
Created attachment 236421 [details]
output from dmesg after booting with only ps2 keyboard attached

Here are the outputs of dmesg. If it helps i will make a boot with only the usb
keyboard attached.
Comment 4 Harald 2007-10-30 14:14:55 EDT
While digging in all configurations which might have impact on this issue, i
found the BIOS option 'USB KB support' which i switched from enabled to disabled. 

Afterwards the boot is fast even with both keyboards attached. Still i guess
this shouldn't happen.
Comment 5 Christopher Brown 2008-01-15 21:54:01 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 6 Harald 2008-01-22 15:48:31 EST
The problem is still existing. On my machine, i have kernel 2.6.23.12 installed:

$ uname -r
2.6.23.12-52.fc7
Comment 7 Christopher Brown 2008-01-22 17:39:22 EST
Okay, thansk for the update. I take it you don't consider the BIOS option a fix?
It is difficult to know how to resolve this given that:

-Most folks only use one keyboard
-You have a valid workaround
-Even without the workaround the computer eventually boots and works okay

Have you checked for a BIOS update?
Comment 8 Harald 2008-01-26 04:37:05 EST
I agree that this one isn't a very urgent or high impact bug. The only thing is,
it wasn't present with the original F7 kernel and it first appeared with an
kernel upgrade to 2.6.22.9. 

Thats why i believed it should be possible to isolate the reason for the boot delay.

I didn't check an BIOS upgrade, because the exact version of my motherboard is
not listed in any compatibility list of MSI and i don't want to try my luck.

I have a workaround that is fine for me, but for this bug it looks to me that no
one even tried to reproduce the bug just by plugging in a ps2 and a usb keyboard
at the same time on any other machine.

Even if this can't be isolated, i can use Fedora.
Comment 9 Christopher Brown 2008-01-28 06:14:00 EST
Can you attach the output of:

# dmidecode > dmidecode.out

as type text/plain to this bug. I will test with USB and PS/2 on my machine and
update.

Cheers
Chris
Comment 10 Christopher Brown 2008-01-28 13:16:33 EST
Okay, tested with latest kernel from updates-testing - 2.6.23.14-115.fc8

Boots immediately in both legacy and disabled mode.

I wonder what would happen with a live cd - any chance you can test this?
Comment 11 Harald 2008-01-30 14:34:20 EST
Created attachment 293473 [details]
dmidecode output

sorry for the delay. Here is the output of dmidecode.

I will try a live CD. Do you want me to try a specific version or shall i
simply download from the Fedora page?
Comment 12 Christopher Brown 2008-01-30 16:37:20 EST
(In reply to comment #11)
> Created an attachment (id=293473) [edit]
> dmidecode output
> 
> sorry for the delay. Here is the output of dmidecode.

Thanks. Regarding the BIOS upgrade you might want to try the live cd first as
BIOS is sort of last resort. However there looks to be an upgrade available from
the MSI website - you will just need the full version for your motherboard.

http://tinyurl.com/2hx7s8
 
> I will try a live CD. Do you want me to try a specific version or shall i
> simply download from the Fedora page?

The one from the fedora download page will be fine.
Comment 13 Harald 2008-02-12 15:27:27 EST
I tried the Fedora x64 live CD, and it showed the very same behaviour as the
installed Fedora.

I also wanted to test if this is Fedora specific and tried out an Ubuntu x64
Live CD but that one didn't start at all.

I think i will check if there is a live CD from some other distribution just to
see if the issue is related to the mainstream kernel or to the Fedora kernel.

Anyway the only option left is BIOS update i guess? Or this there any thing
specific i can try to trace whats happening at boot time?
Comment 14 Bug Zapper 2008-05-14 10:50:50 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2008-06-16 22:43:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.